searchData={"content_type":"text/markdown","items":[{"doc":"Small library that takes a string and reformats it into a pseudofont.\n\nThis is accomplished by using Unicode codepoints that resemble a font.\n\n|Format mode | Example |\n|------------|-----------|\n|:noop | ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmnopqrstuvwxyz 1234567890 |\n|:sans_serif | 𝖠𝖡𝖢𝖣𝖤𝖥𝖦𝖧𝖨𝖩𝖪𝖫𝖬𝖭𝖮𝖯𝖰𝖱𝖲𝖳𝖴𝖵𝖶𝖷𝖸𝖹 𝖺𝖻𝖼𝖽𝖾𝖿𝗀𝗁𝗂𝗃𝗄𝗅𝗆𝗇𝗈𝗉𝗊𝗋𝗌𝗍𝗎𝗏𝗐𝗑𝗒𝗓 𝟣𝟤𝟥𝟦𝟧𝟨𝟩𝟪𝟫𝟢 |\n|:cursive | 𝒜ℬ𝒞𝒟ℰℱ𝒢ℋℐ𝒥𝒦ℒℳ𝒩𝒪𝒫𝒬ℛ𝒮𝒯𝒰𝒱𝒲𝒳𝒴𝒵 𝒶𝒷𝒸𝒹ℯ𝒻ℊ𝒽𝒾𝒿𝓀𝓁𝓂𝓃ℴ𝓅𝓆𝓇𝓈𝓉𝓊𝓋𝓌𝓍𝓎𝓏 1234567890 |\n|:blackboard_bold | 𝔸𝔹ℂ𝔻𝔼𝔽𝔾ℍ𝕀𝕁𝕂𝕃𝕄ℕ𝕆ℙℚℝ𝕊𝕋𝕌𝕍𝕎𝕏𝕐ℤ 𝕒𝕓𝕔𝕕𝕖𝕗𝕘𝕙𝕚𝕛𝕜𝕝𝕞𝕟𝕠𝕡𝕢𝕣𝕤𝕥𝕦𝕧𝕨𝕩𝕪𝕫 𝟙𝟚𝟛𝟜𝟝𝟞𝟟𝟠𝟡𝟘 |\n|:block | 🄰🄱🄲🄳🄴🄵🄶🄷🄸🄹🄺🄻🄼🄽🄾🄿🅀🅁🅂🅃🅄🅅🅆🅇🅈🅉 🄰🄱🄲🄳🄴🄵🄶🄷🄸🄹🄺🄻🄼🄽🄾🄿🅀🅁🅂🅃🅄🅅🅆🅇🅈🅉 1234567890 |\n|:block_filled | 🅰🅱🅲🅳🅴🅵🅶🅷🅸🅹🅺🅻🅼🅽🅾🅿🆀🆁🆂🆃🆄🆅🆆🆇🆈🆉 🅰🅱🅲🅳🅴🅵🅶🅷🅸🅹🅺🅻🅼🅽🅾🅿🆀🆁🆂🆃🆄🆅🆆🆇🆈🆉 1234567890 |\n|:bubble | ⒶⒷⒸⒹⒺⒻⒼⒽⒾⒿⓀⓁⓂⓃⓄⓅⓆⓇⓈⓉⓊⓋⓌⓍⓎⓏ ⓐⓑⓒⓓⓔⓕⓖⓗⓘⓙⓚⓛⓜⓝⓞⓟⓠⓡⓢⓣⓤⓥⓦⓧⓨⓩ ①②③④⑤⑥⑦⑧⑨⓪ |\n|:bubble_filled | 🅐🅑🅒🅓🅔🅕🅖🅗🅘🅙🅚🅛🅜🅝🅞🅟🅠🅡🅢🅣🅤🅥🅦🅧🅨🅩 🅐🅑🅒🅓🅔🅕🅖🅗🅘🅙🅚🅛🅜🅝🅞🅟🅠🅡🅢🅣🅤🅥🅦🅧🅨🅩 ➊➋➌➍➎➏➐➑➒⓿|\n|:gothic |  𝔄𝔅ℭ𝔇𝔈𝔉𝔊ℌℑ𝔍𝔎𝔏𝔐𝔑𝔒𝔓𝔔ℜ𝔖𝔗𝔘𝔙𝔚𝔛𝔜ℨ 𝔞𝔟𝔠𝔡𝔢𝔣𝔤𝔥𝔦𝔧𝔨𝔩𝔪𝔫𝔬𝔭𝔮𝔯𝔰𝔱𝔲𝔳𝔴𝔵𝔶𝔷 1234567890 |\n|:small_caps | ABCDEFGHIJKLMNOPQRSTUVWXYZ ᴀʙᴄᴅᴇғɢʜɪᴊᴋʟᴍɴᴏᴘǫʀsᴛᴜᴠᴡxʏᴢ 1234567890 |\n|:aesthetic | ＡＢＣＤＥＦＧＨＩＪＫＬＭＮＯＰＱＲＳＴＵＶＷＸＹＺ ａｂｃｄｅｆｇｈｉｊｋｌｍｎｏｐｑｒｓｔｕｖｗｘｙｚ １２３４５６７８９０ ＜＞．／＼？；：＇＂ ～！＠＃＄％＾＆＊（）＿＋ |\n|:monospace | 𝙰𝙱𝙲𝙳𝙴𝙵𝙶𝙷𝙸𝙹𝙺𝙻𝙼𝙽𝙾𝙿𝚀𝚁𝚂𝚃𝚄𝚅𝚆𝚇𝚈𝚉 𝚊𝚋𝚌𝚍𝚎𝚏𝚐𝚑𝚒𝚓𝚔𝚕𝚖𝚗𝚘𝚙𝚚𝚛𝚜𝚝𝚞𝚟𝚠𝚡𝚢𝚣 𝟷𝟸𝟹𝟺𝟻𝟼𝟽𝟾𝟿0 |\n|:bold | 𝐀𝐁𝐂𝐃𝐄𝐅𝐆𝐇𝐈𝐉𝐊𝐋𝐌𝐍𝐎𝐏𝐐𝐑𝐒𝐓𝐔𝐕𝐖𝐗𝐘𝐙 𝐚𝐛𝐜𝐝𝐞𝐟𝐠𝐡𝐢𝐣𝐤𝐥𝐦𝐧𝐨𝐩𝐪𝐫𝐬𝐭𝐮𝐯𝐰𝐱𝐲𝐳 𝟏𝟐𝟑𝟒𝟓𝟔𝟕𝟖𝟗𝟎 |\n|:superscript | ᴬᴮꟲᴰᴱꟳᴳᴴᴵᴶᴷᴸᴹᴺᴼᴾꟴᴿˢᵀᵁⱽᵂˣʸᶻ ᵃᵇᶜᵈᵉᶠᵍʰᶦʲᵏˡᵐⁿᵒᵖ𐞥ʳˢᵗᵘᵛʷˣʸᶻ ¹²³⁴⁵⁶⁷⁸⁹⁰ |\n|:italic | 𝐴𝐵𝐶𝐷𝐸𝐹𝐺𝐻𝐼𝐽𝐾𝐿𝑀𝑁𝑂𝑃𝑄𝑅𝑆𝑇𝑈𝑉𝑊𝑋𝑌𝑍 𝑎𝑏𝑐𝑑𝑒𝑓𝑔ℎ𝑖𝑗𝑘𝑙𝑚𝑛𝑜𝑝𝑞𝑟𝑠𝑡𝑢𝑣𝑤𝑥𝑦𝑧 1234567890 |","ref":"Fonticode.html","title":"Fonticode","type":"module"},{"doc":"Formats a string, replacing codepoints to mimic a pseudostyle.\n\nUse `modes/0` to get available options.","ref":"Fonticode.html#format/2","title":"Fonticode.format/2","type":"function"},{"doc":"iex> Fonticode.format(\"ABC\", :noop)\n  \"ABC\"\n\n  iex> Fonticode.format(\"ABC\", :gothic)\n  \"𝔄𝔅ℭ\"","ref":"Fonticode.html#format/2-examples","title":"Examples - Fonticode.format/2","type":"function"},{"doc":"Gets the available formatting modes.","ref":"Fonticode.html#modes/0","title":"Fonticode.modes/0","type":"function"},{"doc":"iex> Fonticode.modes()\n    [ :noop,\n    :sans_serif,\n    :cursive,\n    :blackboard_bold,\n    :block,\n    :block_filled,\n    :bubble,\n    :bubble_filled,\n    :gothic,\n    :small_caps,\n    :aesthetic,\n    :monospace,\n    :bold,\n    :superscript,\n    :italic]","ref":"Fonticode.html#modes/0-examples","title":"Examples - Fonticode.modes/0","type":"function"},{"doc":"Given a binary and a map of codepoint replacements, does so.\n\nImplementation cribbed from [here](https://elixirforum.com/t/is-there-a-faster-way-to-write-this-code/18486/3).","ref":"Fonticode.html#substitute/2","title":"Fonticode.substitute/2","type":"function"},{"doc":"iex> Fonticode.substitute(\"ABCDE\", %{\"C\" => \"X\", \"D\" => \"Y\"})\n    \"ABXYE\"\n\n    iex> Fonticode.substitute(\"ABCDE\", %{\"C\" => \"D\", \"D\" => \"C\"})\n    \"ABDCE\"","ref":"Fonticode.html#substitute/2-examples","title":"Examples - Fonticode.substitute/2","type":"function"},{"doc":"","ref":"Fonticode.html#t:format_mode/0","title":"Fonticode.format_mode/0","type":"type"},{"doc":"","ref":"Fonticode.html#t:substitution_map/0","title":"Fonticode.substitution_map/0","type":"type"}]}